Functions
Functions
BLE Services » Goodix UART Service Client (GUS_C)
Collaboration diagram for Functions:

## Functions
sdk_err_t | gus_client_init (gus_c_evt_handler_t evt_handler)
| Register GUS Client event handler. More...
sdk_err_t | gus_c_disc_srvc_start (uint8_t conn_idx)
| Discovery GUS on peer. More...
sdk_err_t | gus_c_tx_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer GUS Tx characteristic notify. More...
sdk_err_t | gus_c_flow_ctrl_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer device GUS flow control notify. More...
sdk_err_t | gus_c_tx_data_send (uint8_t conn_idx, uint8_t *p_data, uint16_t length)
| Send data to the server. More...
sdk_err_t | gus_c_rx_flow_ctrl_set (uint8_t conn_idx, gus_c_flow_ctrl_state_t flow_ctrl)
| Send GUS Client Rx flow control state to peer device. More...

## Detailed Description

## Function Documentation

## ◆ gus_c_disc_srvc_start()

sdk_err_t gus_c_disc_srvc_start | ( | uint8_t | conn_idx | ) |

Discovery GUS on peer.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ gus_c_flow_ctrl_notify_set()

sdk_err_t gus_c_flow_ctrl_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer device GUS flow control notify.

Parameters

  [in] | conn_idx | Connection index.
  [in] | is_enable | Enable or disable ths Tx notify.

Returns
  Operation result.

## ◆ gus_c_rx_flow_ctrl_set()

sdk_err_t gus_c_rx_flow_ctrl_set | ( | uint8_t | conn_idx,
|  | gus_c_flow_ctrl_state_t | flow_ctrl
| ) |  |

Send GUS Client Rx flow control state to peer device.

Parameters

  [in] | conn_idx | Connection index.
  [in] | flow_ctrl | GUS client Rx flow control state.

Returns
  Result of sending gus_c Rx flow control state.

## ◆ gus_c_tx_data_send()

sdk_err_t gus_c_tx_data_send | ( | uint8_t | conn_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send data to the server.

Parameters

  [in] | conn_idx | Connection index.
  [in] | p_data | Pointer to data need sent.
  [in] | length | Length of data need sent.

Returns
  Operation result.

## ◆ gus_c_tx_notify_set()

sdk_err_t gus_c_tx_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer GUS Tx characteristic notify.

Parameters

  [in] | conn_idx | Connection index.
  [in] | is_enable | Enable or disable ths Tx notify.

Returns
  Operation result.

## ◆ gus_client_init()

sdk_err_t gus_client_init | ( | gus_c_evt_handler_t | evt_handler | ) |

Register GUS Client event handler.

Parameters

  [in] | evt_handler | Goodix UART Service Client event handler.

Returns
  Result of initialization.